## com.ericsson.otp.ic
Class FloatHolder

    java.lang.Object
      |
      +--com.ericsson.otp.ic.FloatHolder

All Implemented Interfaces:
  Holder, java.io.Serializable

public final class FloatHolder
extends java.lang.Object
implements Holder

Holder class for Float, according to OMG-IDL java mapping.

See Also:
  Serialized Form

Field Summary
`float` `value`

Constructor Summary
`FloatHolder()`
`FloatHolder(float initial)`

Method Summary
`boolean` `equals(float f)` Comparisson method for Floats.
`boolean` `equals(java.lang.Object obj)` Comparisson method for Floats.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public float value

Constructor Detail

### FloatHolder

    public FloatHolder()

### FloatHolder

    public FloatHolder(float initial)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Comparisson method for Floats.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the input object equals the current object, false otherwize

### equals

    public boolean equals(float f)

  Comparisson method for Floats.
  Returns:
    true if the input float value equals the value of the current object, false otherwize

Copyright © 1991-2007 Ericsson AB